/* ======================================== trends menu ======================================== */
/* Small, subtle scrollbar (WebKit browsers) */
.home-popular-tags .elementor-shortcode::-webkit-scrollbar {
  height: 0px;
}

.home-popular-tags .elementor-shortcode::-webkit-scrollbar-track {
  background: transparent;
}

.home-popular-tags a.popular-tag {
  color: #ffffff;
  text-transform: uppercase;
  padding: 6px 10px;
  background-color: #00000066;
  font-weight: 600;
  border-radius: 8px;
  margin-right: 8px;
}

.home-popular-tags .popular-tags {
  display: flex;
  flex-wrap: nowrap;
  width: max-content;
  min-width: 100%;
  flex: 0 0 auto;
}

.home-popular-tags .elementor-shortcode {
  overflow-x: auto;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
}

/* ======================================== trending for mobile ======================================== */
/* Desktop: 1024px and above */
@media (min-width: 1025px) {
  .trending-custom-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
  }
}

/* Tablet: 768px to 1024px */
@media (min-width: 768px) and (max-width: 1024px) {
  .trending-custom-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 32px;
  }
}

@media (max-width: 767px) {
  .trending-custom-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
  }
}

.editors-pick-2,
.editors-pick-3 {
  display: grid;
  row-gap: 16px;
}

.editors-pick-3>.e-loop-item:last-child .e-con {
  border-bottom: none !important;
}

/* ===== Mobile horizontal scroll for custom grids ===== */
@media (max-width: 767px) {
  .scroll-custom-grid {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    gap: 16px;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 6px;
  }

  .scroll-custom-grid>* {
    flex: 0 0 80%;
    max-width: 80%;
  }

  .scroll-custom-grid::-webkit-scrollbar {
    height: 0;
  }
}

/* ======================================== latest news ======================================== */
.latest-container-home {
  height: fit-content;
}

/* rounded corners of teh fetured image */
.editors-pick-lcp {
  border-radius: 10px !important;
}